Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network196.2.128.0/17
Usable hosts32,766
Subnet mask255.255.128.0
Addresses32,768
Network address
196.2.128.0
Broadcast address
196.2.255.255
First usable
196.2.128.1
Last usable
196.2.255.254
Usable hosts
32,766 (32,768 less the network and broadcast addresses)
Subnet mask
255.255.128.0
Wildcard mask
0.0.127.255 (Cisco ACLs, OSPF)
Prefix length
/17
Type
Public public
Old class
C (default /24)
As numbers
Hex C4028000 · Integer 3288498176 to 3288530943
Reverse DNS zones
128.2.196.in-addr.arpa
129.2.196.in-addr.arpa
130.2.196.in-addr.arpa
131.2.196.in-addr.arpa
132.2.196.in-addr.arpa
133.2.196.in-addr.arpa
134.2.196.in-addr.arpa
135.2.196.in-addr.arpa
136.2.196.in-addr.arpa
137.2.196.in-addr.arpa
138.2.196.in-addr.arpa
139.2.196.in-addr.arpa
140.2.196.in-addr.arpa
141.2.196.in-addr.arpa
142.2.196.in-addr.arpa
143.2.196.in-addr.arpa
and 112 more
/17 is not on a 8-bit boundary, so it takes 128 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11000100.00000010.10000000.00000000196.2.128.0
Subnet mask11111111.11111111.10000000.00000000255.255.128.0
Network11000100.00000010.10000000.00000000196.2.128.0
Broadcast11000100.00000010.11111111.11111111196.2.255.255
Split into smaller subnets/26

196.2.128.0/17 makes 512 subnets of /26; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1196.2.128.0/26196.2.128.1 to 196.2.128.62196.2.128.6362
2196.2.128.64/26196.2.128.65 to 196.2.128.126196.2.128.12762
3196.2.128.128/26196.2.128.129 to 196.2.128.190196.2.128.19162
4196.2.128.192/26196.2.128.193 to 196.2.128.254196.2.128.25562
5196.2.129.0/26196.2.129.1 to 196.2.129.62196.2.129.6362
6196.2.129.64/26196.2.129.65 to 196.2.129.126196.2.129.12762
7196.2.129.128/26196.2.129.129 to 196.2.129.190196.2.129.19162
8196.2.129.192/26196.2.129.193 to 196.2.129.254196.2.129.25562
9196.2.130.0/26196.2.130.1 to 196.2.130.62196.2.130.6362
10196.2.130.64/26196.2.130.65 to 196.2.130.126196.2.130.12762
11196.2.130.128/26196.2.130.129 to 196.2.130.190196.2.130.19162
12196.2.130.192/26196.2.130.193 to 196.2.130.254196.2.130.25562
13196.2.131.0/26196.2.131.1 to 196.2.131.62196.2.131.6362
14196.2.131.64/26196.2.131.65 to 196.2.131.126196.2.131.12762
15196.2.131.128/26196.2.131.129 to 196.2.131.190196.2.131.19162
16196.2.131.192/26196.2.131.193 to 196.2.131.254196.2.131.25562
17196.2.132.0/26196.2.132.1 to 196.2.132.62196.2.132.6362
18196.2.132.64/26196.2.132.65 to 196.2.132.126196.2.132.12762
19196.2.132.128/26196.2.132.129 to 196.2.132.190196.2.132.19162
20196.2.132.192/26196.2.132.193 to 196.2.132.254196.2.132.25562
21196.2.133.0/26196.2.133.1 to 196.2.133.62196.2.133.6362
22196.2.133.64/26196.2.133.65 to 196.2.133.126196.2.133.12762
23196.2.133.128/26196.2.133.129 to 196.2.133.190196.2.133.19162
24196.2.133.192/26196.2.133.193 to 196.2.133.254196.2.133.25562
25196.2.134.0/26196.2.134.1 to 196.2.134.62196.2.134.6362
26196.2.134.64/26196.2.134.65 to 196.2.134.126196.2.134.12762
27196.2.134.128/26196.2.134.129 to 196.2.134.190196.2.134.19162
28196.2.134.192/26196.2.134.193 to 196.2.134.254196.2.134.25562
29196.2.135.0/26196.2.135.1 to 196.2.135.62196.2.135.6362
30196.2.135.64/26196.2.135.65 to 196.2.135.126196.2.135.12762
31196.2.135.128/26196.2.135.129 to 196.2.135.190196.2.135.19162
32196.2.135.192/26196.2.135.193 to 196.2.135.254196.2.135.25562
33196.2.136.0/26196.2.136.1 to 196.2.136.62196.2.136.6362
34196.2.136.64/26196.2.136.65 to 196.2.136.126196.2.136.12762
35196.2.136.128/26196.2.136.129 to 196.2.136.190196.2.136.19162
36196.2.136.192/26196.2.136.193 to 196.2.136.254196.2.136.25562
37196.2.137.0/26196.2.137.1 to 196.2.137.62196.2.137.6362
38196.2.137.64/26196.2.137.65 to 196.2.137.126196.2.137.12762
39196.2.137.128/26196.2.137.129 to 196.2.137.190196.2.137.19162
40196.2.137.192/26196.2.137.193 to 196.2.137.254196.2.137.25562
41196.2.138.0/26196.2.138.1 to 196.2.138.62196.2.138.6362
42196.2.138.64/26196.2.138.65 to 196.2.138.126196.2.138.12762
43196.2.138.128/26196.2.138.129 to 196.2.138.190196.2.138.19162
44196.2.138.192/26196.2.138.193 to 196.2.138.254196.2.138.25562
45196.2.139.0/26196.2.139.1 to 196.2.139.62196.2.139.6362
46196.2.139.64/26196.2.139.65 to 196.2.139.126196.2.139.12762
47196.2.139.128/26196.2.139.129 to 196.2.139.190196.2.139.19162
48196.2.139.192/26196.2.139.193 to 196.2.139.254196.2.139.25562
49196.2.140.0/26196.2.140.1 to 196.2.140.62196.2.140.6362
50196.2.140.64/26196.2.140.65 to 196.2.140.126196.2.140.12762
51196.2.140.128/26196.2.140.129 to 196.2.140.190196.2.140.19162
52196.2.140.192/26196.2.140.193 to 196.2.140.254196.2.140.25562
53196.2.141.0/26196.2.141.1 to 196.2.141.62196.2.141.6362
54196.2.141.64/26196.2.141.65 to 196.2.141.126196.2.141.12762
55196.2.141.128/26196.2.141.129 to 196.2.141.190196.2.141.19162
56196.2.141.192/26196.2.141.193 to 196.2.141.254196.2.141.25562
57196.2.142.0/26196.2.142.1 to 196.2.142.62196.2.142.6362
58196.2.142.64/26196.2.142.65 to 196.2.142.126196.2.142.12762
59196.2.142.128/26196.2.142.129 to 196.2.142.190196.2.142.19162
60196.2.142.192/26196.2.142.193 to 196.2.142.254196.2.142.25562
61196.2.143.0/26196.2.143.1 to 196.2.143.62196.2.143.6362
62196.2.143.64/26196.2.143.65 to 196.2.143.126196.2.143.12762
63196.2.143.128/26196.2.143.129 to 196.2.143.190196.2.143.19162
64196.2.143.192/26196.2.143.193 to 196.2.143.254196.2.143.25562
65196.2.144.0/26196.2.144.1 to 196.2.144.62196.2.144.6362
66196.2.144.64/26196.2.144.65 to 196.2.144.126196.2.144.12762
67196.2.144.128/26196.2.144.129 to 196.2.144.190196.2.144.19162
68196.2.144.192/26196.2.144.193 to 196.2.144.254196.2.144.25562
69196.2.145.0/26196.2.145.1 to 196.2.145.62196.2.145.6362
70196.2.145.64/26196.2.145.65 to 196.2.145.126196.2.145.12762
71196.2.145.128/26196.2.145.129 to 196.2.145.190196.2.145.19162
72196.2.145.192/26196.2.145.193 to 196.2.145.254196.2.145.25562
73196.2.146.0/26196.2.146.1 to 196.2.146.62196.2.146.6362
74196.2.146.64/26196.2.146.65 to 196.2.146.126196.2.146.12762
75196.2.146.128/26196.2.146.129 to 196.2.146.190196.2.146.19162
76196.2.146.192/26196.2.146.193 to 196.2.146.254196.2.146.25562
77196.2.147.0/26196.2.147.1 to 196.2.147.62196.2.147.6362
78196.2.147.64/26196.2.147.65 to 196.2.147.126196.2.147.12762
79196.2.147.128/26196.2.147.129 to 196.2.147.190196.2.147.19162
80196.2.147.192/26196.2.147.193 to 196.2.147.254196.2.147.25562
81196.2.148.0/26196.2.148.1 to 196.2.148.62196.2.148.6362
82196.2.148.64/26196.2.148.65 to 196.2.148.126196.2.148.12762
83196.2.148.128/26196.2.148.129 to 196.2.148.190196.2.148.19162
84196.2.148.192/26196.2.148.193 to 196.2.148.254196.2.148.25562
85196.2.149.0/26196.2.149.1 to 196.2.149.62196.2.149.6362
86196.2.149.64/26196.2.149.65 to 196.2.149.126196.2.149.12762
87196.2.149.128/26196.2.149.129 to 196.2.149.190196.2.149.19162
88196.2.149.192/26196.2.149.193 to 196.2.149.254196.2.149.25562
89196.2.150.0/26196.2.150.1 to 196.2.150.62196.2.150.6362
90196.2.150.64/26196.2.150.65 to 196.2.150.126196.2.150.12762
91196.2.150.128/26196.2.150.129 to 196.2.150.190196.2.150.19162
92196.2.150.192/26196.2.150.193 to 196.2.150.254196.2.150.25562
93196.2.151.0/26196.2.151.1 to 196.2.151.62196.2.151.6362
94196.2.151.64/26196.2.151.65 to 196.2.151.126196.2.151.12762
95196.2.151.128/26196.2.151.129 to 196.2.151.190196.2.151.19162
96196.2.151.192/26196.2.151.193 to 196.2.151.254196.2.151.25562
97196.2.152.0/26196.2.152.1 to 196.2.152.62196.2.152.6362
98196.2.152.64/26196.2.152.65 to 196.2.152.126196.2.152.12762
99196.2.152.128/26196.2.152.129 to 196.2.152.190196.2.152.19162
100196.2.152.192/26196.2.152.193 to 196.2.152.254196.2.152.25562
101196.2.153.0/26196.2.153.1 to 196.2.153.62196.2.153.6362
102196.2.153.64/26196.2.153.65 to 196.2.153.126196.2.153.12762
103196.2.153.128/26196.2.153.129 to 196.2.153.190196.2.153.19162
104196.2.153.192/26196.2.153.193 to 196.2.153.254196.2.153.25562
105196.2.154.0/26196.2.154.1 to 196.2.154.62196.2.154.6362
106196.2.154.64/26196.2.154.65 to 196.2.154.126196.2.154.12762
107196.2.154.128/26196.2.154.129 to 196.2.154.190196.2.154.19162
108196.2.154.192/26196.2.154.193 to 196.2.154.254196.2.154.25562
109196.2.155.0/26196.2.155.1 to 196.2.155.62196.2.155.6362
110196.2.155.64/26196.2.155.65 to 196.2.155.126196.2.155.12762
111196.2.155.128/26196.2.155.129 to 196.2.155.190196.2.155.19162
112196.2.155.192/26196.2.155.193 to 196.2.155.254196.2.155.25562
113196.2.156.0/26196.2.156.1 to 196.2.156.62196.2.156.6362
114196.2.156.64/26196.2.156.65 to 196.2.156.126196.2.156.12762
115196.2.156.128/26196.2.156.129 to 196.2.156.190196.2.156.19162
116196.2.156.192/26196.2.156.193 to 196.2.156.254196.2.156.25562
117196.2.157.0/26196.2.157.1 to 196.2.157.62196.2.157.6362
118196.2.157.64/26196.2.157.65 to 196.2.157.126196.2.157.12762
119196.2.157.128/26196.2.157.129 to 196.2.157.190196.2.157.19162
120196.2.157.192/26196.2.157.193 to 196.2.157.254196.2.157.25562
121196.2.158.0/26196.2.158.1 to 196.2.158.62196.2.158.6362
122196.2.158.64/26196.2.158.65 to 196.2.158.126196.2.158.12762
123196.2.158.128/26196.2.158.129 to 196.2.158.190196.2.158.19162
124196.2.158.192/26196.2.158.193 to 196.2.158.254196.2.158.25562
125196.2.159.0/26196.2.159.1 to 196.2.159.62196.2.159.6362
126196.2.159.64/26196.2.159.65 to 196.2.159.126196.2.159.12762
127196.2.159.128/26196.2.159.129 to 196.2.159.190196.2.159.19162
128196.2.159.192/26196.2.159.193 to 196.2.159.254196.2.159.25562
129196.2.160.0/26196.2.160.1 to 196.2.160.62196.2.160.6362
130196.2.160.64/26196.2.160.65 to 196.2.160.126196.2.160.12762
131196.2.160.128/26196.2.160.129 to 196.2.160.190196.2.160.19162
132196.2.160.192/26196.2.160.193 to 196.2.160.254196.2.160.25562
133196.2.161.0/26196.2.161.1 to 196.2.161.62196.2.161.6362
134196.2.161.64/26196.2.161.65 to 196.2.161.126196.2.161.12762
135196.2.161.128/26196.2.161.129 to 196.2.161.190196.2.161.19162
136196.2.161.192/26196.2.161.193 to 196.2.161.254196.2.161.25562
137196.2.162.0/26196.2.162.1 to 196.2.162.62196.2.162.6362
138196.2.162.64/26196.2.162.65 to 196.2.162.126196.2.162.12762
139196.2.162.128/26196.2.162.129 to 196.2.162.190196.2.162.19162
140196.2.162.192/26196.2.162.193 to 196.2.162.254196.2.162.25562
141196.2.163.0/26196.2.163.1 to 196.2.163.62196.2.163.6362
142196.2.163.64/26196.2.163.65 to 196.2.163.126196.2.163.12762
143196.2.163.128/26196.2.163.129 to 196.2.163.190196.2.163.19162
144196.2.163.192/26196.2.163.193 to 196.2.163.254196.2.163.25562
145196.2.164.0/26196.2.164.1 to 196.2.164.62196.2.164.6362
146196.2.164.64/26196.2.164.65 to 196.2.164.126196.2.164.12762
147196.2.164.128/26196.2.164.129 to 196.2.164.190196.2.164.19162
148196.2.164.192/26196.2.164.193 to 196.2.164.254196.2.164.25562
149196.2.165.0/26196.2.165.1 to 196.2.165.62196.2.165.6362
150196.2.165.64/26196.2.165.65 to 196.2.165.126196.2.165.12762
151196.2.165.128/26196.2.165.129 to 196.2.165.190196.2.165.19162
152196.2.165.192/26196.2.165.193 to 196.2.165.254196.2.165.25562
153196.2.166.0/26196.2.166.1 to 196.2.166.62196.2.166.6362
154196.2.166.64/26196.2.166.65 to 196.2.166.126196.2.166.12762
155196.2.166.128/26196.2.166.129 to 196.2.166.190196.2.166.19162
156196.2.166.192/26196.2.166.193 to 196.2.166.254196.2.166.25562
157196.2.167.0/26196.2.167.1 to 196.2.167.62196.2.167.6362
158196.2.167.64/26196.2.167.65 to 196.2.167.126196.2.167.12762
159196.2.167.128/26196.2.167.129 to 196.2.167.190196.2.167.19162
160196.2.167.192/26196.2.167.193 to 196.2.167.254196.2.167.25562
161196.2.168.0/26196.2.168.1 to 196.2.168.62196.2.168.6362
162196.2.168.64/26196.2.168.65 to 196.2.168.126196.2.168.12762
163196.2.168.128/26196.2.168.129 to 196.2.168.190196.2.168.19162
164196.2.168.192/26196.2.168.193 to 196.2.168.254196.2.168.25562
165196.2.169.0/26196.2.169.1 to 196.2.169.62196.2.169.6362
166196.2.169.64/26196.2.169.65 to 196.2.169.126196.2.169.12762
167196.2.169.128/26196.2.169.129 to 196.2.169.190196.2.169.19162
168196.2.169.192/26196.2.169.193 to 196.2.169.254196.2.169.25562
169196.2.170.0/26196.2.170.1 to 196.2.170.62196.2.170.6362
170196.2.170.64/26196.2.170.65 to 196.2.170.126196.2.170.12762
171196.2.170.128/26196.2.170.129 to 196.2.170.190196.2.170.19162
172196.2.170.192/26196.2.170.193 to 196.2.170.254196.2.170.25562
173196.2.171.0/26196.2.171.1 to 196.2.171.62196.2.171.6362
174196.2.171.64/26196.2.171.65 to 196.2.171.126196.2.171.12762
175196.2.171.128/26196.2.171.129 to 196.2.171.190196.2.171.19162
176196.2.171.192/26196.2.171.193 to 196.2.171.254196.2.171.25562
177196.2.172.0/26196.2.172.1 to 196.2.172.62196.2.172.6362
178196.2.172.64/26196.2.172.65 to 196.2.172.126196.2.172.12762
179196.2.172.128/26196.2.172.129 to 196.2.172.190196.2.172.19162
180196.2.172.192/26196.2.172.193 to 196.2.172.254196.2.172.25562
181196.2.173.0/26196.2.173.1 to 196.2.173.62196.2.173.6362
182196.2.173.64/26196.2.173.65 to 196.2.173.126196.2.173.12762
183196.2.173.128/26196.2.173.129 to 196.2.173.190196.2.173.19162
184196.2.173.192/26196.2.173.193 to 196.2.173.254196.2.173.25562
185196.2.174.0/26196.2.174.1 to 196.2.174.62196.2.174.6362
186196.2.174.64/26196.2.174.65 to 196.2.174.126196.2.174.12762
187196.2.174.128/26196.2.174.129 to 196.2.174.190196.2.174.19162
188196.2.174.192/26196.2.174.193 to 196.2.174.254196.2.174.25562
189196.2.175.0/26196.2.175.1 to 196.2.175.62196.2.175.6362
190196.2.175.64/26196.2.175.65 to 196.2.175.126196.2.175.12762
191196.2.175.128/26196.2.175.129 to 196.2.175.190196.2.175.19162
192196.2.175.192/26196.2.175.193 to 196.2.175.254196.2.175.25562
193196.2.176.0/26196.2.176.1 to 196.2.176.62196.2.176.6362
194196.2.176.64/26196.2.176.65 to 196.2.176.126196.2.176.12762
195196.2.176.128/26196.2.176.129 to 196.2.176.190196.2.176.19162
196196.2.176.192/26196.2.176.193 to 196.2.176.254196.2.176.25562
197196.2.177.0/26196.2.177.1 to 196.2.177.62196.2.177.6362
198196.2.177.64/26196.2.177.65 to 196.2.177.126196.2.177.12762
199196.2.177.128/26196.2.177.129 to 196.2.177.190196.2.177.19162
200196.2.177.192/26196.2.177.193 to 196.2.177.254196.2.177.25562
201196.2.178.0/26196.2.178.1 to 196.2.178.62196.2.178.6362
202196.2.178.64/26196.2.178.65 to 196.2.178.126196.2.178.12762
203196.2.178.128/26196.2.178.129 to 196.2.178.190196.2.178.19162
204196.2.178.192/26196.2.178.193 to 196.2.178.254196.2.178.25562
205196.2.179.0/26196.2.179.1 to 196.2.179.62196.2.179.6362
206196.2.179.64/26196.2.179.65 to 196.2.179.126196.2.179.12762
207196.2.179.128/26196.2.179.129 to 196.2.179.190196.2.179.19162
208196.2.179.192/26196.2.179.193 to 196.2.179.254196.2.179.25562
209196.2.180.0/26196.2.180.1 to 196.2.180.62196.2.180.6362
210196.2.180.64/26196.2.180.65 to 196.2.180.126196.2.180.12762
211196.2.180.128/26196.2.180.129 to 196.2.180.190196.2.180.19162
212196.2.180.192/26196.2.180.193 to 196.2.180.254196.2.180.25562
213196.2.181.0/26196.2.181.1 to 196.2.181.62196.2.181.6362
214196.2.181.64/26196.2.181.65 to 196.2.181.126196.2.181.12762
215196.2.181.128/26196.2.181.129 to 196.2.181.190196.2.181.19162
216196.2.181.192/26196.2.181.193 to 196.2.181.254196.2.181.25562
217196.2.182.0/26196.2.182.1 to 196.2.182.62196.2.182.6362
218196.2.182.64/26196.2.182.65 to 196.2.182.126196.2.182.12762
219196.2.182.128/26196.2.182.129 to 196.2.182.190196.2.182.19162
220196.2.182.192/26196.2.182.193 to 196.2.182.254196.2.182.25562
221196.2.183.0/26196.2.183.1 to 196.2.183.62196.2.183.6362
222196.2.183.64/26196.2.183.65 to 196.2.183.126196.2.183.12762
223196.2.183.128/26196.2.183.129 to 196.2.183.190196.2.183.19162
224196.2.183.192/26196.2.183.193 to 196.2.183.254196.2.183.25562
225196.2.184.0/26196.2.184.1 to 196.2.184.62196.2.184.6362
226196.2.184.64/26196.2.184.65 to 196.2.184.126196.2.184.12762
227196.2.184.128/26196.2.184.129 to 196.2.184.190196.2.184.19162
228196.2.184.192/26196.2.184.193 to 196.2.184.254196.2.184.25562
229196.2.185.0/26196.2.185.1 to 196.2.185.62196.2.185.6362
230196.2.185.64/26196.2.185.65 to 196.2.185.126196.2.185.12762
231196.2.185.128/26196.2.185.129 to 196.2.185.190196.2.185.19162
232196.2.185.192/26196.2.185.193 to 196.2.185.254196.2.185.25562
233196.2.186.0/26196.2.186.1 to 196.2.186.62196.2.186.6362
234196.2.186.64/26196.2.186.65 to 196.2.186.126196.2.186.12762
235196.2.186.128/26196.2.186.129 to 196.2.186.190196.2.186.19162
236196.2.186.192/26196.2.186.193 to 196.2.186.254196.2.186.25562
237196.2.187.0/26196.2.187.1 to 196.2.187.62196.2.187.6362
238196.2.187.64/26196.2.187.65 to 196.2.187.126196.2.187.12762
239196.2.187.128/26196.2.187.129 to 196.2.187.190196.2.187.19162
240196.2.187.192/26196.2.187.193 to 196.2.187.254196.2.187.25562
241196.2.188.0/26196.2.188.1 to 196.2.188.62196.2.188.6362
242196.2.188.64/26196.2.188.65 to 196.2.188.126196.2.188.12762
243196.2.188.128/26196.2.188.129 to 196.2.188.190196.2.188.19162
244196.2.188.192/26196.2.188.193 to 196.2.188.254196.2.188.25562
245196.2.189.0/26196.2.189.1 to 196.2.189.62196.2.189.6362
246196.2.189.64/26196.2.189.65 to 196.2.189.126196.2.189.12762
247196.2.189.128/26196.2.189.129 to 196.2.189.190196.2.189.19162
248196.2.189.192/26196.2.189.193 to 196.2.189.254196.2.189.25562
249196.2.190.0/26196.2.190.1 to 196.2.190.62196.2.190.6362
250196.2.190.64/26196.2.190.65 to 196.2.190.126196.2.190.12762
251196.2.190.128/26196.2.190.129 to 196.2.190.190196.2.190.19162
252196.2.190.192/26196.2.190.193 to 196.2.190.254196.2.190.25562
253196.2.191.0/26196.2.191.1 to 196.2.191.62196.2.191.6362
254196.2.191.64/26196.2.191.65 to 196.2.191.126196.2.191.12762
255196.2.191.128/26196.2.191.129 to 196.2.191.190196.2.191.19162
256196.2.191.192/26196.2.191.193 to 196.2.191.254196.2.191.25562

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses